import { EventEmitter } from "eventemitter3";
/** time, open, high, low, close, volume, askDepth, bidDepth, sellVolume, buyVolume */
export declare type Candle = [number, number, number, number, number, number, number, number, number, number];
export declare const enum CandleColumn {
    Time = 0,
    Open = 1,
    High = 2,
    Low = 3,
    Close = 4,
    Volume = 5,
    AskDepth = 6,
    BidDepth = 7,
    SellVolume = 8,
    BuyVolume = 9
}
export interface Candles extends Array<Candle> {
    nextTick?: number;
    period?: number;
}
export interface DepleteEvent {
    period: number;
    before: number | null;
    after: number | null;
}
export default class CandleStore extends EventEmitter {
    candles: Candle[];
    hCandles: Candle[];
    dCandles: Candle[];
    tickDelta: number;
    maxCount: number;
    readonly ltp: number;
    private _candlesDownSampleCache;
    private _depletedPeriods;
    private _version;
    private _cacheId;
    private _ltp;
    constructor();
    tick(tick: Candle): void;
    getCandles(period: number, start: number, candleCount: number, fill?: boolean): Candles;
    getMaxIndex(period: number): number;
    addOHLC(period: number, theirs: Candle[]): void;
    onReconnect(): void;
    onDetectDataLacking(from: number): void;
    private getCachedCandles;
    private readonly latestHourTimestamp;
    private readonly currentTime;
    private notHasAllMinuiteCandlesForLatestHour;
    private notHasAllHourlyCandlesForLatestDay;
}
export declare const enum TimeByMinutes {
    OneMinute = 1,
    OneHour = 60,
    OneDay = 1440,
    OneWeek = 10080
}
