import { Chart, ColorOption } from "./Kuromaty";
export interface Overlay {
    minPeriod: number;
    config: any;
    readonly requiredBackCount: number;
    readonly requiredForwardCount?: number;
    /**
     * Draws Overlay.
     *
     * @param {Chart} chart
     * @param {ChartDimensions} dimensions
     * @param {ColorOption} color
     */
    draw(chart: Chart, dimensions: ChartDimensions, color: ColorOption): any;
}
export interface ChartDimensions {
    readonly width: number;
    readonly height: number;
    readonly right: number;
    readonly rightMargin: number;
    readonly firstBarIndex: number;
    readonly barCount: number;
    readonly barWidth: number;
    readonly barMargin: number;
}
export interface Config {
    [property: string]: number | boolean | string;
}
