import { Config, Overlay } from "./Overlay";
export declare type OverlayMap = Map<string, Overlay>;
export interface OverlayModule {
    id: string;
    label: string;
    configSchema: ConfigSchema;
    enabledAsDefault?: boolean;
    enable(overlays: OverlayMap, config: Config): any;
    disable(overlays: OverlayMap): any;
    update(overlays: OverlayMap, prop: string, value: number): any;
}
export interface ConfigSchema {
    [property: string]: ConfigPropertySchema;
}
export interface ConfigPropertySchema {
    label: string;
    default: number;
    min?: number;
    max?: number;
    step?: number;
    enum?: string[];
}
export declare function getDefaultFromSchema(schema: ConfigSchema): Config;
