export interface Config {
    brand: string;
    version?: string;
    enableTitlePopup?: boolean;
}
export declare const enum ConnectionStatus {
    Normal = "normal",
    Loading = "loading",
    Closed = "closed",
    Slow = "slow",
    Fallback = "fallback",
    Delayed = "delayed",
    Error = "error"
}
export declare enum RequestStatus {
    Busy = "busy",
    Idle = "idle"
}
export default class Footer {
    readonly element: HTMLElement;
    private _requestStatus;
    private _status;
    private _dot;
    private _timestamp;
    private _timestampStr;
    constructor(options: Config);
    setConnectionStatus(connectionStatus: ConnectionStatus): void;
    setRequestStatus(status: RequestStatus): void;
    setTimestamp(timestamp: number): void;
    setStatusTooltip(html?: string): void;
}
