import { EventEmitter } from "eventemitter3";
import { LinkConfig } from "./LinkConfig";
import { i18n } from "i18next";
export declare class Header extends EventEmitter {
    readonly i18n: i18n;
    readonly element: HTMLElement;
    readonly config: Config;
    private periodSelected;
    private scrollReset;
    constructor(i18n: i18n, options: Options);
    periodToLabel(period: number): any;
    setPeriod(period: number): void;
    displayScrollReset(display: boolean): void;
}
export interface Config {
    title: string;
    theme: string;
    period: number;
    links: LinkConfig[];
    enableTitlePopup: boolean;
}
export declare type Options = Partial<Config>;
