import { FHTMLElement } from "flagrate/lib/es6/flagrate/element";
export interface Option {
    target?: HTMLElement;
    text?: string;
    html?: string;
    element?: HTMLElement;
}
export default class Tooltip {
    private _target;
    private _text;
    private _html;
    private _element;
    private _className;
    private _div;
    private _positioningTimer;
    private _contentUpdatingTimer;
    private _isShowing;
    private _openHandler;
    private _closeHandler;
    constructor(opt?: Option);
    target: FHTMLElement;
    text: string;
    html: string;
    element: HTMLElement;
    className: string;
    isShowing: boolean;
    open(forceTarget?: Event | HTMLElement): this;
    close(): this;
    visible(): boolean;
    remove(): void;
    setTarget(element: FHTMLElement): this;
    setText(text: string): this;
    setHTML(html: string): this;
    setElement(element: HTMLElement): this;
    setClassName(className: string): this;
    private _create;
}
