import { ChartDimensions, Overlay } from "../Overlay";
import { Chart, ColorOption } from "../Kuromaty";
export declare class Ichimoku implements Overlay {
    minPeriod: number;
    readonly requiredForwardCount: number;
    readonly requiredBackCount: number;
    config: Config;
    constructor(options?: Options);
    draw(chart: Chart, dimensions: ChartDimensions, color: ColorOption): void;
    calculateIchimoku(bars: any, barCount: any): IchimokuBuffer;
}
export interface IchimokuBuffer {
    baseLine: number[];
    tenkanLine: number[];
    precedenceLine1: number[];
    precedenceLine2: number[];
    laggingLine: number[];
    maxIndex: number;
}
export interface Config {
    tenkan: number;
    base: number;
    precedenceShift: number;
    precedence2: number;
    laggingShift: number;
    colorKeys: {
        base: string;
        tenkan: string;
        lagging: string;
        precedence: string;
    };
}
export declare type Options = Partial<Config>;
