import EventEmitter = require("eventemitter3");
import { Stack } from "./Stack";
import { ShapeCreator, ShapeEditor } from "./editor";
import { Shape, ShapeType } from "./element/Shape";
import { TransformParameter } from "./element/Transformable";
import { ChartDimensions } from "../Overlay";
import { Point } from "./element/Point";
import { ColorOption } from "../Kuromaty";
export default class ShapeStore extends EventEmitter {
    protected _shapeStack: Stack;
    protected _shapeStackTransformed: Stack;
    protected _shapeEditor?: ShapeEditor;
    protected _shapeCreator?: ShapeCreator;
    protected _hoveredShape?: Shape;
    private _transform;
    createShape(type: ShapeType): void;
    draw(barW: any, period: any, chartW: any, chartM: any, dimensions: ChartDimensions, chart: any, chartH: any, transformParam: TransformParameter, colorPallet: ColorOption): void;
    handleDeleteKey(): boolean;
    handlePointerDown(point: Point): boolean;
    handlePointerUp(cursor: Point): boolean;
    handlePointerMove(cursor: Point): void;
    handleDrag(cursor: Point): boolean;
    handleDragEnd(): void;
    cancel(): void;
}
