import { DrawOptions, Rect, Shape, ShapeType } from "./element/Shape";
import { Point } from "./element/Point";
import { TransformParameter } from "./element/Transformable";
export declare class Stack implements Shape<Stack> {
    readonly id: string;
    type: ShapeType;
    private readonly items;
    constructor(shapes?: Shape[], id?: string);
    distanceFrom(p: Point): number;
    draw(ctx: CanvasRenderingContext2D, crop: Rect, options: DrawOptions): void;
    transform(param: TransformParameter): Stack;
    findOneByPoint(p: Point, r: any): Shape | null;
    find(shape: Shape): Shape | null;
    append(shape: Shape): void;
    prepend(shape: Shape): void;
    remove(shape: Shape): void;
}
