import { DrawOptions, Shape, ShapeType } from "../element/Shape";
import { Point } from "../element/Point";
import { TransformParameter } from "../element/Transformable";
export declare class ShapeCreator {
    private readonly callback;
    static register(type: ShapeType, creator: typeof ShapeCreator): void;
    static create(type: ShapeType, callback: OnCreatedCallback): ShapeCreator;
    private static readonly creators;
    protected shape: Shape;
    constructor(callback: OnCreatedCallback);
    onTapOrClick(point: Point): void;
    onMovePointer(point: Point): void;
    draw(ctx: CanvasRenderingContext2D, crop: any, transform: TransformParameter, options: DrawOptions): void;
    protected complete(): void;
}
export declare type OnCreatedCallback = (shape: Shape) => void;
