import { Point } from "../element/Point";
import { PointHandle } from "./PointHandle";
import { TransformParameter } from "../element/Transformable";
import { DrawOptions, Shape, ShapeType } from "../element/Shape";
export declare class ShapeEditor {
    readonly shape: Shape;
    static createFor(shape: Shape): ShapeEditor;
    static register(type: ShapeType, editor: ShapeEditorImpl): void;
    private static editors;
    protected readonly handles: PointHandle[];
    private selectedHandle;
    constructor(shape: Shape);
    startDrag(p: Point, r: number, transformParameter: TransformParameter): boolean;
    hit(p: Point, r: number, transformParameter: TransformParameter): boolean;
    draw(ctx: CanvasRenderingContext2D, crop: any, transform: TransformParameter, options: DrawOptions): void;
    isDragging(): boolean;
    dragTo(point: Point): void;
    endDrag(): void;
    protected _drawHandles(transform: TransformParameter, crop: any, ctx: CanvasRenderingContext2D): void;
    private findHandleByPoint;
}
export declare type ShapeEditorImpl = typeof ShapeEditor;
