import { Transformable } from "./Transformable";
import { Rect } from "./Shape";
export declare class Point implements Transformable<Point> {
    readonly x: number;
    readonly y: number;
    constructor(x: number, y: number);
    transform({ moveX, moveY, scaleX, scaleY }: {
        moveX?: number;
        moveY?: number;
        scaleX?: number;
        scaleY?: number;
    }): Point;
    isInRect(rect: Rect): boolean;
    equals(point: Point): boolean;
    distanceFrom(point: Point): number;
}
export declare function p(x: number, y: number): Point;
export declare const Origin: Point;
