import { Point } from "./Point";
import { Transformable } from "./Transformable";
import { ColorOption } from "../../Kuromaty";
export declare enum ShapeType {
    Ray = "ray",
    Segment = "segment",
    Complex = "complex"
}
export interface Shape<T extends Shape<T> = Shape<any>> extends Transformable<T> {
    readonly id: any;
    readonly type: ShapeType;
    distanceFrom(p: Point): number;
    draw(ctx: CanvasRenderingContext2D, crop: Rect, options: DrawOptions): any;
}
export interface Rect {
    top: number;
    bottom: number;
    left: number;
    right: number;
}
export interface DrawOptions {
    colorPallet: ColorOption;
    lineWidth?: number;
}
